% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/userInput.R
\name{userInput}
\alias{userInput}
\title{userInput let the user type in a character string}
\usage{
userInput(silent = FALSE)
}
\arguments{
\item{silent}{logical should a little prompt be given, telling the user to enter text in the console?}
}
\value{
a character string, as given by the user.
}
\description{
this is useful for asking the user for a username or password, so that it goes directly to a variable and doesn't get inadvertently saved into an R script. There are no arguments. This will only return a character string. This is low key, don't bother using it for data entry. Just type characters, no need to put it in quotes, pressing enter will cause the function to return. Output will not be printed to the console, but it can be assigned directly. This is useful to have as an auxiliary function in case multiple calls to functions such as \code{readHMDweb()} are desired.
}
\examples{
### mypassword <- userInput()
### myusername <- userInput()
### DAT <- readHMDweb("USA","mltper_1x1",mypassword,myusername)

}
